Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.launching
Class ExecutionArguments

    java.lang.Object
      org.eclipse.jdt.launching.ExecutionArguments

public class ExecutionArguments
extends Object

The execution arguments for running a Java VM. The execution arguments are separated into two parts: arguments to the VM itself, and arguments to the Java main program. This class provides convenience methods for parsing a string of arguments into seperate components.

Clients may instantiate this class; it is not intended to be subclassed.

Constructor Summary
`ExecutionArguments(String vmArgs, String programArgs)` Creates a new execution arguments object.

Method Summary
`String` | `getProgramArguments()` Returns the program arguments as one string.
`String[]` | `getProgramArgumentsArray()` Returns the program arguments as an array of individual arguments.
`String` | `getVMArguments()` Returns the VM arguments as one string.
`String[]` | `getVMArgumentsArray()` Returns the VM arguments as an array of individual arguments.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecutionArguments

    public ExecutionArguments(String vmArgs,
                              String programArgs)

  Creates a new execution arguments object.

Parameters:
  `vmArgs` - command line argument string passed to the VM
  `programArgs` - command line argument string passed to the program

Method Detail

### getVMArguments

    public String getVMArguments()

  Returns the VM arguments as one string.

  Returns:
    the VM arguments as one string

### getProgramArguments

    public String getProgramArguments()

  Returns the program arguments as one string.

  Returns:
    the program arguments as one string

### getVMArgumentsArray

    public String[] getVMArgumentsArray()

  Returns the VM arguments as an array of individual arguments.

  Returns:
    the VM arguments as an array of individual arguments

### getProgramArgumentsArray

    public String[] getProgramArgumentsArray()

  Returns the program arguments as an array of individual arguments.

  Returns:
    the program arguments as an array of individual arguments

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.